• 0

Using Other WP Plugins with DMS


Question

Posted · Report post

Hi im using The Event Calendar plugin but it is conflicting with the DMS sections is there a way I can stop this happening? please see attachments. 

 

http://wordpress.org/plugins/the-events-calendar/

 

Thanks 

 

Daryl

Share this post


Link to post
Share on other sites

12 answers to this question

  • 0

Posted · Report post

ddyer wow is that all that its affecting, have you seen what problems can actually occur with some plugins? Check the forums out, I had the same issue with an email plugin using the "form" class.

 

Anyways it looks like it must be using one of the same css classes that the DMS Visual Editor is using, without giving somebody access to your site it would not be possible to work it out as you have to be logged in and on the page.

 

I would try and find the class by using the inspector or firebug for firefox and then.

 

The only options are:

Disable the plugin

Contact the Developer and get them to change the class (If possible)

Hack the plugin yourself and change the class names.

 

Good luck.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Which plugin is it exactly?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Its possible that has a conflict because it uses javascript and jquery.  Adding it may cause a simple break. We're working on a way to add things using a shortcode.

 

Did the installation already performed use a shortcode?

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

ddyer this happens to me with Affiliates Pro as well. it's because either pagelines or the plugin isn't namespacing jquery ui tabs so the css is conflicting. 

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

@ beardedavaenger thanks for the insight into this issue. This is a shame and  just more to add to the long list of reasons why I keep researching other platforms and frame works.

 

Rob do you have an idea of when this fix maybe coming?  

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Unfortunately, no. I don't think we fix DMS to suit conflicting plugins. We're using the most advanced technologies out there, which they'll eventually catch up to, so the issue is when are the developers of the plugins going to fix their products to work with us.  Just recently, the smart folks at Ubermenu did just that.  I'd ask the developers of that plugin when he'll update to meet the DMS standard.

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Rob you're exactly right, which is why PageLines should follow those standards and namespace their jquery tabs ui, so that other styles do not conflict with it.

 

http://screencast.com/t/kjSSXCAyr

1 person likes this

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Rob you're exactly right, which is why PageLines should follow those standards and namespace their jquery tabs ui, so that other styles do not conflict with it.

 

http://screencast.com/t/kjSSXCAyr

 

Agreed. Namespacing is the right answer here.

 

Ken

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Agreeing with you all the comments, my concern is if you want peeps to follow DMS standard you must cater the range of pluigns needed, to cover the most sort after functions that people want.  When browsing and buying from PL store there is loads of pluigns that just do the same thing. 

 

I just want DMS work but so many issues I keep hitting.  

 

Very frustrating 

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

I have a huge site, and copied everything into my DMS development site.  98% of my plugins worked perfectly, including the ones I expected to break.  The ones that were broken were older products using outdated javascript or jquery.  Everything else was pretty much great.  I must admit, some of the old Framework plugins did not work as desired, but then, we did just change the system and those were designed for the older one.

 

Just recently purchased a slider, didn't work in DMS but when I tested it in Framework, it didn't work there or in Twenty Eleven.  So that wasn't DMS, just the plugin.

 

I realize everyone's frustrated,  but to give you some hope, I was able to ask a 3rd party (not a PL Store) developer to create a fix and within 2 days their plugin was working perfectly with their patch that solved the issues.  It's not wrong to ask a developer to test DMS (they download the free one) and use our docs to tell them how to update their products or create patches or sections.   Most are willing to do so, if they're good developers.   If they're not good developers, and aren't cooperative, do you really want to keep using their products? :D

Share this post


Link to post
Share on other sites
  • 0

Posted · Report post

Totally see where your coming from, but it still doesn't compensate the time and effort ive already spent trying to get PL existing extensions to work. Ive had to move clients to other frameworks to get their sites finished on time.

Ive been patient with the PL DMS but hitting another issue such as css conflicting.

 

Alot of these issues could have been dealt with in the BETA version. Im being charged for something I cannot use.  DMS is being promoted as time saving platform which is not the case at all. 

 

 

:growl:

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now